<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task30.50</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
    <div class = "form-group container jumbotron col-sm-6">
        <h3 class = "text-center">Forgot Your Password?</h3>
        <p class = "text-center">Enter your email address and we will send you instructions to reset your password.</p>
        <div class="row">
            <label class="form-label text-info" for="email-inp">Email address</label>
            <input class="form-group form-control border-info" id="email-inp" type="text"/>            
        </div>
        <div class="row">
            <div class="col-sm-12">
                <button id="btn-continue" class="form-group form-control btn btn-primary">Continue</button>
                <p class="text-center text-info">Back to My App</p>
            </div>
            
        </div>
    </div>
</body>
<script>
    "use strict";
    //REGION 1: khai báo biến toàn cục

    //REGION 2: hàm gán các element
    $(document).ready(function(){
        
        $("#btn-continue").click(function(){
            //b1: thu thập dữ liệu
            var vEmailInput = $("#email-inp").val();
            
            //b2: kiểm tra dữ liệu
            var vCheck = validateEmail(vEmailInput);
            if (vCheck){
                //b3: hiển thị dữ liệu
                displayData(vEmailInput);
            }
        });
        
    });
    //REGION 3: hàm xử lý các sự kiện

    //REGION 4: các hàm dùng chung
    
    function validateEmail(paramEmailInput){
    if (paramEmailInput == ""){
        alert ("Please input email!");
        return false;
    } else {
        var vViTriAt = paramEmailInput.indexOf("@");
        if (vViTriAt == -1){
            alert ("Email should include @");
            return false;
        }
        else if (vViTriAt == 0 || vViTriAt == paramEmailInput.length - 1){
            alert ("Email should include @ between at least 2 other characters");
            return false;
        }
        return true;
    }
      
    }
    function displayData(paramEmailInput){
        console.log(paramEmailInput);
    }
</script>
</html>